<?php
require_once 'calendar.class.php';
require_once 'user_validate.php';
require_once 'helper.php';

valid_user();

include_once 'config.inc.php';

if (! defined($_SESSION['__ROOT__']) && empty($_SESSION['__ROOT__'])) {
    session_destroy();
    header('Location: ' . WEB_ROOT . 'error.html');
    exit;
}

$query = construct_URL($_SERVER['QUERY_STRING'],
		array('etag', 'referer', 'cal'));
//print_r($query);
//echo '<br/>';
//print_r($_SESSION['all_events']);
//exit;
if (isset($query['cal']) && ! empty($query['cal']) &&
	isset($query['etag']) && ! empty($query['etag'])) {
	$_SESSION['calendar'] = $_SESSION['all_events'][$query['cal']];
	if (! is_object($_SESSION['calendar']))
		throw new Exception("Missing calendar object");

	foreach ($_SESSION['calendar'] as $vevent) {
		if ($vevent->getEtag() == $query['etag']) {
			$res = $_SESSION['calendar']->delete($vevent->getUrl(), $vevent->getEtag());
		}
	}
	//print $query['referer'];
	header('Location: '. urldecode($query['referer']));
	exit;
}
else {
	$text = '<h3 style="text-align: center">Choose an event from one of the listed calendars</h3>';
	$text .= '<p>';
	$text .= '<form id="cals" style="text-align: center" action="'.
			$_SERVER['PHP_SELF'].'" method="get">';
	$text .= '<input type="hidden" name="referer" value="'.urldecode($query['referer']).'" />';
	$text .= '<input type="hidden" id="cal" name="cal" value="" />';
	$calendar = '';
	foreach ($_SESSION['all_events'] as $name => $cal) {
		//$calendar .= "$name<br/>".var_export($cal, true)."<br/>";
        $text .= $name.': <select name="etag"
        		onchange="setCalendar(\'cals\', \'cal\', '."'$name'".')">';
		$text .= '<option selected="selected"></option>';
		foreach ($cal as $vevent) {
			$calendar .= $vevent->getEtag()."<br/>";
			$text .= '<option value="'.$vevent->getEtag().'">'.
				$vevent->getDetails().'</option>';
		} 
		$text .= '</select><br/><br/>';
	}
	$text .= '<input type="submit" value="Continue" />';
	$text .= '</form></p>';
	//print urldecode($query['referer']);
	//exit;
    print popup_window($text, $query['referer']);
	exit;
}
?>